> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Archive RNA Oligos

POST https://{tenant_name}.benchling.com/api/v2/rna-oligos:archive
Content-Type: application/json

Archive RNA Oligos

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/rna-oligos/archive-rna-oligos

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects a RnaOligosArchive.

- `reason` (enum, required) — The reason for archiving the provided entities. Accepted reasons may differ based on tenant configuration.
  - Allowed values: `Made in error`, `Retired`, `Expended`, `Shipped`, `Contaminated`, `Expired`, `Missing`, `Other`
- `rnaOligoIds` (list of string, required)

## Response

### 200

OK

- `batchIds` (list of string, optional)
- `rnaOligoIds` (list of string, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (BadRequestErrorError, optional)

## Types

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

## Examples

**Request**

```json
{
  "reason": "Made in error",
  "rnaOligoIds": [
    "string"
  ]
}
```

**Response**

```json
{
  "batchIds": [
    "string"
  ],
  "rnaOligoIds": [
    "string"
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/rna-oligos:archive"

payload = {
    "reason": "Made in error",
    "rnaOligoIds": ["string"]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/rna-oligos:archive';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"reason":"Made in error","rnaOligoIds":["string"]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```